Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.model
Class ListLevel

    java.lang.Object
      org.apache.poi.hwpf.model.ListLevel

    public final class ListLevel

extends java.lang.Object

"The LVL structure contains formatting information about a specific level in a list. When a paragraph is formatted as part of this level, each placeholder in xst is replaced with the inherited level number of the most recent or current paragraph in the same list that is in the zero-based level specified by that placeholder. The level number that replaces a placeholder is formatted according to the lvlf.nfc of the LVL structure that corresponds to the level that the placeholder specifies, unless the lvlf.fLegal of this LVL structure is nonzero." -- Page 388 of 621 -- [MS-DOC] -- v20110315 Word (.doc) Binary File Format

Constructor Summary
`ListLevel(byte[] buf, int startOffset)`
`ListLevel(int level, boolean numbered)`
`ListLevel(int startAt, int numberFormatCode, int alignment, byte[] numberProperties, byte[] entryProperties, java.lang.String numberText)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`int` | `getAlignment()` "Alignment (left, right, or centered) of the paragraph number."
`byte[]` | `getGrpprlChpx()`
`byte[]` | `getGrpprlPapx()`
`byte[]` | `getLevelProperties()`
`int` | `getNumberFormat()` "Number format code (see anld.nfc for a list of options)"
`java.lang.String` | `getNumberText()`
`int` | `getSizeInBytes()`
`int` | `getStartAt()`
`byte` | `getTypeOfCharFollowingTheNumber()` "The type of character following the number text for the paragraph: 0 == tab, 1 == space, 2 == nothing."
`void` | `setAlignment(int alignment)`
`void` | `setLevelProperties(byte[] grpprl)`
`void` | `setNumberFormat(int numberFormatCode)`
`void` | `setNumberProperties(byte[] grpprl)`
`void` | `setStartAt(int startAt)`
`void` | `setTypeOfCharFollowingTheNumber(byte value)`
`byte[]` | `toByteArray()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ListLevel

    public ListLevel(byte[] buf,
                     int startOffset)

### ListLevel

    public ListLevel(int level,
                     boolean numbered)

### ListLevel

    public ListLevel(int startAt,
                     int numberFormatCode,
                     int alignment,
                     byte[] numberProperties,
                     byte[] entryProperties,
                     java.lang.String numberText)

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### getAlignment

    public int getAlignment()

  "Alignment (left, right, or centered) of the paragraph number."

### getGrpprlChpx

    public byte[] getGrpprlChpx()

### getGrpprlPapx

    public byte[] getGrpprlPapx()

### getLevelProperties

    public byte[] getLevelProperties()

### getNumberFormat

    public int getNumberFormat()

  "Number format code (see anld.nfc for a list of options)"

### getNumberText

    public java.lang.String getNumberText()

### getSizeInBytes

    public int getSizeInBytes()

### getStartAt

    public int getStartAt()

### getTypeOfCharFollowingTheNumber

    public byte getTypeOfCharFollowingTheNumber()

  "The type of character following the number text for the paragraph: 0 == tab, 1 == space, 2 == nothing."

### setAlignment

    public void setAlignment(int alignment)

### setLevelProperties

    public void setLevelProperties(byte[] grpprl)

### setNumberFormat

    public void setNumberFormat(int numberFormatCode)

### setNumberProperties

    public void setNumberProperties(byte[] grpprl)

### setStartAt

    public void setStartAt(int startAt)

### setTypeOfCharFollowingTheNumber

    public void setTypeOfCharFollowingTheNumber(byte value)

### toByteArray

    public byte[] toByteArray()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD